TTF_SetTextColor(3)

NAME
TTF_SetTextColor - Set the color of a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextColor(TTF_Text *text, Uint8 r, Uint8 g, Uint8 b, Uint8 a);

DESCRIPTION
The default text color is white (255, 255, 255, 255).

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

r   the red color value in the range of 0-255.

g   the green color value in the range of 0-255.

b   the blue color value in the range of 0-255.

a   the alpha value in the range of 0-255.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetTextColor(3), •(3), TTF_SetTextColorFloat(3)